#!/usr/bin/env -S pwsh -NoLogo -NoProfile -NonInteractive

# Copyright 2023-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

$ErrorActionPreference = "Stop"
Set-StrictMode -Version Latest

Set-Location "${PSScriptRoot}"

& ./create_license_mapping_fs.fsx

if ($LASTEXITCODE -ne 0) {
    throw "create_license_mapping_fs.fsx failed"
}

& ./create_subcommands_fs.fsx

if ($LASTEXITCODE -ne 0) {
    throw "create_subcommands_fs.fsx failed"
}

& ./create_tools_list.ps1

if ($LASTEXITCODE -ne 0) {
    throw "create_tools_list.ps1 failed"
}
